Get a message
curl --request GET \
--url https://charts.basedash.com/api/public/organizations/{orgId}/chats/{chatId}/messages/{messageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://charts.basedash.com/api/public/organizations/{orgId}/chats/{chatId}/messages/{messageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://charts.basedash.com/api/public/organizations/{orgId}/chats/{chatId}/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"chatId": "<string>",
"parentId": "<string>",
"text": "<string>",
"parts": [
{
"id": "<string>",
"content": "<string>",
"externalId": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"charts": [
{
"chartId": "<string>",
"chartVersionId": "<string>",
"title": "<string>",
"imageUrl": "<string>",
"mimeType": "<string>",
"width": 123,
"height": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}Chats
Get a message
Retrieves a single message. Poll this endpoint after receiving HTTP 202 to check whether the assistant has finished responding; the message status becomes finished when the response is complete.
GET
/
api
/
public
/
organizations
/
{orgId}
/
chats
/
{chatId}
/
messages
/
{messageId}
Get a message
Authorizations
API key authentication using Bearer token format: Bearer <basedash_api_key>
Path Parameters
Organization ID
Chat ID
Message ID
Response
Message retrieved successfully
The message you sent
Show child attributes
Show child attributes
Was this page helpful?
⌘I